Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Protocol.h File Reference

`#include "ace/Refcounted_Auto_Ptr.h"`
`#include "ace/Vector_T.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/CDR_Stream.h"`
`#include "ace/CDR_Size.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_stdlib.h"`
`#include "Bits.h"`

Include dependency graph for Protocol.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_RMCast
## Classes
struct | ACE_RMCast::AddressHasher
struct | ACE_RMCast::Profile
class | ACE_RMCast::Profile::Header
class | ACE_RMCast::Message
struct | ACE_RMCast::From
struct | ACE_RMCast::To
struct | ACE_RMCast::Data
struct | ACE_RMCast::SN
class | ACE_RMCast::NAK
struct | ACE_RMCast::NRTM
struct | ACE_RMCast::NoData
struct | ACE_RMCast::Part
## Typedefs
typedef ACE_CDR::UShort | u16
typedef ACE_CDR::ULong | u32
typedef ACE_CDR::ULongLong | u64
typedef ACE_INET_Addr | Address
typedef ACE_OutputCDR | ostream
typedef ACE_SizeCDR | sstream
typedef ACE_InputCDR | istream
typedef ACE_Refcounted_Auto_Ptr< Profile, Mutex > | Profile_ptr
typedef ACE_Refcounted_Auto_Ptr< Message, Mutex > | Message_ptr
typedef ACE_Vector< Message_ptr, ACE_VECTOR_DEFAULT_SIZE > | Messages
typedef ACE_Refcounted_Auto_Ptr< From, Mutex > | From_ptr
typedef ACE_Refcounted_Auto_Ptr< To, Mutex > | To_ptr
typedef ACE_Refcounted_Auto_Ptr< Data, Mutex > | Data_ptr
typedef ACE_Refcounted_Auto_Ptr< SN, Mutex > | SN_ptr
typedef ACE_Refcounted_Auto_Ptr< NAK, Mutex > | NAK_ptr
typedef ACE_Refcounted_Auto_Ptr< NRTM, Mutex > | NRTM_ptr
typedef ACE_Refcounted_Auto_Ptr< NoData, Mutex > | NoData_ptr
typedef ACE_Refcounted_Auto_Ptr< Part, Mutex > | Part_ptr
## Functions
ostream & | operator<< (ostream &os, Profile::Header const &hdr)
sstream & | operator<< (sstream &ss, Profile::Header const &hdr)
ostream & | operator<< (ostream &os, Profile const &p)
sstream & | operator<< (sstream &ss, Profile const &p)
## Variables
unsigned short const | max_service_size = 60

## Typedef Documentation

typedef ACE_INET_Addr ACE_RMCast::Address

typedef ACE_Refcounted_Auto_Ptr<Data, Mutex> ACE_RMCast::Data_ptr

typedef ACE_Refcounted_Auto_Ptr<From, Mutex> ACE_RMCast::From_ptr

typedef ACE_InputCDR ACE_RMCast::istream

typedef ACE_Refcounted_Auto_Ptr<Message, Mutex> ACE_RMCast::Message_ptr

typedef ACE_Vector<Message_ptr, ACE_VECTOR_DEFAULT_SIZE> ACE_RMCast::Messages

typedef ACE_Refcounted_Auto_Ptr<NAK, Mutex> ACE_RMCast::NAK_ptr

typedef ACE_Refcounted_Auto_Ptr<NoData, Mutex> ACE_RMCast::NoData_ptr

typedef ACE_Refcounted_Auto_Ptr<NRTM, Mutex> ACE_RMCast::NRTM_ptr

typedef ACE_OutputCDR ACE_RMCast::ostream

typedef ACE_Refcounted_Auto_Ptr<Part, Mutex> ACE_RMCast::Part_ptr

typedef ACE_Refcounted_Auto_Ptr<Profile, Mutex> ACE_RMCast::Profile_ptr

typedef ACE_Refcounted_Auto_Ptr<SN, Mutex> ACE_RMCast::SN_ptr

typedef ACE_SizeCDR ACE_RMCast::sstream

typedef ACE_Refcounted_Auto_Ptr<To, Mutex> ACE_RMCast::To_ptr

typedef ACE_CDR::UShort ACE_RMCast::u16

typedef ACE_CDR::ULong ACE_RMCast::u32

typedef ACE_CDR::ULongLong ACE_RMCast::u64

## Function Documentation

sstream& operator<< | ( | sstream & | ss,
|  | Profile const & | p
| ) | `[inline]`

ostream& operator<< | ( | ostream & | os,
|  | Profile const & | p
| ) | `[inline]`

sstream& operator<< | ( | sstream & | ss,
|  | Profile::Header const & | hdr
| ) | `[inline]`

ostream& operator<< | ( | ostream & | os,
|  | Profile::Header const & | hdr
| ) | `[inline]`

## Variable Documentation

unsigned short const ACE_RMCast::max_service_size = 60